﻿@{
    var controller = HttpContext.Current.Request.RequestContext.RouteData.Values["Controller"].ToString();
    string layout = "";
    if (controller != "WBSAdmin")
    {
        layout = "~/Views/Shared/_LayoutUserLteWater.cshtml";
    }
    else
    {
        layout = "~/Views/Shared/_LayoutAdminLteWater.cshtml";
    }
    Layout = layout;
}



@*@{
    Layout = "~/Views/Shared/_LayoutUserLteWater.cshtml";

}*@

<br />
<br />
<br />
<div class=" col-md-6 offset-md-4">
    @Html.ActionLink(" Download XLSX File", "ExportSpeardSheetPumpMachineryMotor", "WBS", null, new { @style = "text-transform:capitalize;", @class = "btn btn-success btn-lg  fa fa-file-excel-o large pull-right" })
</div>


<div class="container-fluid" style="background-color:lightgrey">
    <table class="table table-bordered table-hover table-responsive table-striped" id="MyDataTablePumpingMotor" style="width:100%; text-align:center;border:1px solid">
        <thead>
            <tr style="text-align:center">
                <th style="text-align:center">Item Code</th>

                <th style="text-align:center">Item Name</th>
                <th style="text-align:center">Location</th>
                <th style="text-align:center">BHP</th>
                <th style="text-align:center">Item Type</th>
                <th style="text-align:center">Make</th>
                <th style="text-align:center">Quantity</th>
                <th style="text-align:center">Status</th>
                <th style="text-align:center">Description</th>


            </tr>
        </thead>
        <tbody></tbody>


    </table>
    <div style="text-align:center;display:none" id="loaderDiv">
        <img src="~/Content/images/circle-3.gif" width="70" />
    </div>
</div>
<script>

    $(document).ready(function () {


        $("#loaderDiv").show();
        ShowPumpMotorDetails();


    });
    var responseData = '';
    var ShowPumpMotorDetails = function () {

        $.ajax({

            type: "POST",
            url: "/WBS/ShowPumpMotorDetails1",
            success: function (response) {

                response = JSON.parse(BindDataTablePumpingMotor(response));

                $("#MyDataTablePumpingMotor").append(response)

            }
        });
    }

    var BindDataTablePumpingMotor = function (response) {

         $("#MyDataTablePumpingMotor").DataTable().clear();
        $("#MyDataTablePumpingMotor").DataTable().destroy();

        $("#MyDataTablePumpingMotor").DataTable({

            "aaData": response,
            "aoColumns": [

                { "mData": "ItemCode" },
                { "mData": "ItemName" },
                { "mData": "Location" },
                { "mData": "BHP" },
                { "mData": "ItemType" },
                { "mData": "Make" },
                { "mData": "Quantity" },
                { "mData": "Status" },
                { "mData": "Description" }


            ]



        });


        $("#loaderDiv").hide();
    }


</script>
